%define name	banshee-community-extensions
%define version	2.4.0
%define githash e5b4e02ea73b6687c79436e8814f277b3d4e8a07
%define release 6.%{githash}.3

%define banshee_version	2.4.0

Summary:	Contributed extensions for the Banshee media player
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Source0:	https://gitorious.org/banshee-community-extensions/banshee-community-extensions/archive/%{githash}.tar.gz
#gw mirage is GPL, all others MIT
License:	MIT and GPLv2+
Group:		Sound/Players
Url:		http://banshee-project.org/download/extensions/
BuildRequires:	banshee-devel >= %{banshee_version}
BuildRequires:	mono-devel
BuildRequires:	gtk-sharp2-devel
BuildRequires:	pkgconfig(appindicator-sharp-0.1)
BuildRequires:	pkgconfig(banshee-lastfm)
BuildRequires:	pkgconfig(banshee-nowplaying)
BuildRequires:	pkgconfig(banshee-webbrowser)
BuildRequires:	pkgconfig(clutter-gtk-sharp)
BuildRequires:	pkgconfig(clutter-sharp)
BuildRequires:	pkgconfig(fftw3f)
BuildRequires:	pkgconfig(gconf-sharp-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-base-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 1.0
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(mono) >= 2.4.2
BuildRequires:	pkgconfig(notify-sharp)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
BuildRequires:	locales-en
BuildRequires:	libGConf2-devel
Suggests:	gstreamer1.0-plugins-ugly
Suggests:	gstreamer1.0-flac
Suggests:	gstreamer1.0-plugins-good

%description
The following extensions are developed mostly by third-parties, and
are not vetted by the core Banshee developers (though that will
probably change over time).

 * Alarm Clock – You can use Banshee to wake up or go to sleep to a
   selection of your own music.
 * Awn – Sets the current album cover as banshee icon in awn.
 * ClutterFlow ? Browse your albums in a cover art flip-book-like view.
 * Cover Wallpaper – Sets the current playing album cover as the GNOME
   desktop wallpaper.
 * Karaoke – Filter the singers voice out of songs 
 * LCD – Display track info on a LCD using LCDproc.
 * Lirc – Control Banshee via a normal (infrared) remote
      control. Requires LIRC.
 * Live Radio – Another way to discover internet radio stations.
 * Lyrics – Fetches and displays lyrics for the current song.
 * Magnatune – Listen to streamed music from Magnatune.com.
 * Mirage – Adds playback shuffle-by-similar and Auto DJ fill-by-similar
   modes, based on songs' acoustic similarity.
 * Radio Station Fetcher – Fetch radio stations from shoutcast.com and
   xiph.org.  Stream Recorder – Record internet-radio streams.
 * Telepathy – Browse your IM friends' music library, download or
   stream their tracks and share what you're listening to.

%prep
%setup -qn %{name}-%{name}
%apply_patches

%build
NOCONFIGURE=yes ./autogen.sh
#gw to make mcs accept Unicode symbols
export LC_ALL=en_US.UTF-8
%configure2_5x \
	--with-vendor-build-id="%{_vendor} %{distro_release}" \
	--disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %name --with-gnome --all-name

# we don't want these
rm -f %buildroot%{_libdir}/banshee/Extensions/lib*.la

ln -sf %{_libdir}/clutter-sharp/* %{buildroot}%{_libdir}/banshee/Extensions/

%files -f %name.lang
%doc README NEWS AUTHORS
%{_libdir}/banshee/Extensions/Banshee.AlarmClock.dll*
%{_libdir}/banshee/Extensions/Banshee.AlbumArtWriter.dll*
%{_libdir}/banshee/Extensions/Banshee.Ampache.dll*
%{_libdir}/banshee/Extensions/Banshee.AndroidRemote.dll*
%{_libdir}/banshee/Extensions/Banshee.AppIndicator.dll*
%{_libdir}/banshee/Extensions/Banshee.Awn.dll*
%{_libdir}/banshee/Extensions/Banshee.ClutterFlow.dll*
%{_libdir}/banshee/Extensions/Banshee.CoverWallpaper.dll*
%{_libdir}/banshee/Extensions/Banshee.DuplicateSongDetector.dll*
%{_libdir}/banshee/Extensions/Banshee.FolderSync.dll*
%{_libdir}/banshee/Extensions/Banshee.Jamendo.dll*
%{_libdir}/banshee/Extensions/Banshee.Karaoke.dll*
%{_libdir}/banshee/Extensions/Banshee.LastfmFingerprint.dll*
%{_libdir}/banshee/Extensions/Banshee.LCD.dll*
%{_libdir}/banshee/Extensions/Banshee.Lirc.dll*
%{_libdir}/banshee/Extensions/Banshee.LiveRadio.dll*
%{_libdir}/banshee/Extensions/Banshee.Lyrics.dll*
%{_libdir}/banshee/Extensions/Banshee.Magnatune.dll*
%{_libdir}/banshee/Extensions/Banshee.Mirage.dll*
%{_libdir}/banshee/Extensions/Banshee.RadioStationFetcher.dll*
%{_libdir}/banshee/Extensions/Banshee.RandomByLastfm.dll*
%{_libdir}/banshee/Extensions/Banshee.Streamrecorder.dll*
%{_libdir}/banshee/Extensions/Banshee.SongKick.dll*
%{_libdir}/banshee/Extensions/Banshee.Telepathy.dll*
%{_libdir}/banshee/Extensions/ClutterFlow.dll*
%{_libdir}/banshee/Extensions/Mirage.dll*
%{_libdir}/banshee/Extensions/clutter*sharp.dll*
%{_libdir}/banshee/Extensions/glib-sharp.dll*
%{_libdir}/banshee/Extensions/liblastfmfpbridge.so
%{_libdir}/banshee/Extensions/liblircglue.so
%{_libdir}/banshee/Extensions/libmirageaudio.so
%{_datadir}/%{name}/icons/hicolor/*/categories/jamendo.*



%changelog
* Wed Jan 08 2014 pterjan <pterjan> 2.4.0-6.e5b4e02ea73b6687c79436e8814f277b3d4e8a07.3.mga4
+ Revision: 565601
- Build against gtk2 and list new files

  + tv <tv>
    - rebuild for new banshee

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + fwang <fwang>
    - add more br
    - add br
    - update br
    - use upstream git tarball
    - rebuild for new banshee

* Fri Jan 11 2013 umeabot <umeabot> 2.4.0-5.mga3
+ Revision: 346842
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 fwang <fwang> 2.4.0-4.mga3
+ Revision: 300706
- update rpm group
- rebuild for new banshee

* Fri Aug 31 2012 fwang <fwang> 2.4.0-3.mga3
+ Revision: 285982
- rebuild for new banshee

* Tue Aug 28 2012 fwang <fwang> 2.4.0-2.mga3
+ Revision: 284924
- rebuild for new taglib

* Tue Jun 19 2012 fwang <fwang> 2.4.0-1.mga3
+ Revision: 261867
- update file list
- new version 2.4.0

* Mon May 28 2012 fwang <fwang> 2.2.0-5.mga3
+ Revision: 248417
- rebuild for new banshee

* Sat Dec 10 2011 eatdirt <eatdirt> 2.2.0-4.mga2
+ Revision: 179852
- Rebuilt for fftw3.3

* Sat Dec 03 2011 fwang <fwang> 2.2.0-3.mga2
+ Revision: 175320
- rebuild for new banshee

* Sun Nov 27 2011 tv <tv> 2.2.0-2.mga2
+ Revision: 173189
- rebuild for new clutter

* Tue Sep 20 2011 fwang <fwang> 2.2.0-1.mga2
+ Revision: 145962
- new version 2.2.0

* Sun Sep 11 2011 wally <wally> 2.1.4-1.mga2
+ Revision: 142428
- new version 2.1.4

* Wed Sep 07 2011 wally <wally> 2.1.3-2.mga2
+ Revision: 140547
- rebuild for new taglib-sharp

* Tue Sep 06 2011 tv <tv> 2.1.3-1.mga2
+ Revision: 139412
- fix file list
- new release

* Sun Jul 03 2011 wally <wally> 2.1.1-1.mga2
+ Revision: 117603
- new version 2.1.1
- disable static build
- clean .spec a bit

* Thu Jun 09 2011 ahmad <ahmad> 2.0.1-1.mga2
+ Revision: 102262
- Drop old/unneeded scriptlets
- imported package banshee-community-extensions


* Wed May 04 2011 Götz Waschk <waschk@mandriva.org> 2.0.1-1mdv2011.0
+ Revision: 665934
- new version
- drop patch

* Tue Apr 19 2011 Götz Waschk <waschk@mandriva.org> 2.0.0-4
+ Revision: 655987
- add patch to prevent a crash in coverflow plugin

* Fri Apr 15 2011 Götz Waschk <waschk@mandriva.org> 2.0.0-3
+ Revision: 653119
- rebuild for new taglib-sharp

* Wed Apr 06 2011 Götz Waschk <waschk@mandriva.org> 2.0.0-2
+ Revision: 650959
- update description
- replace clutter-sharp by symlink
- spec file cleanup

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 2.0.0-1
+ Revision: 650638
- New version 2.0.0

* Thu Dec 16 2010 Götz Waschk <waschk@mandriva.org> 1.8.0-2mdv2011.0
+ Revision: 622363
- add a fix for clutterflow dll loading
- enable clutterflow

* Fri Oct 01 2010 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2011.0
+ Revision: 582277
- update to new version 1.8.0

* Thu Sep 30 2010 Götz Waschk <waschk@mandriva.org> 1.7.6-2mdv2011.0
+ Revision: 582153
- rebuild

* Sun Sep 19 2010 Götz Waschk <waschk@mandriva.org> 1.7.6-1mdv2011.0
+ Revision: 579834
- new version
- bump banshee dep

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 1.7.4-1mdv2011.0
+ Revision: 574351
- new version 1.7.4

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 1.7.4-0.20100816.1mdv2011.0
+ Revision: 571080
- update build deps
- new git snapshot
- update file list

* Sun Aug 08 2010 Götz Waschk <waschk@mandriva.org> 1.6.1-2mdv2011.0
+ Revision: 567597
- update build deps

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 1.6.1-1mdv2011.0
+ Revision: 550293
- update to new version 1.6.1

* Thu Apr 01 2010 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdv2010.1
+ Revision: 530601
- update to new version 1.6.0

* Sun Mar 21 2010 Götz Waschk <waschk@mandriva.org> 1.5.5-2mdv2010.1
+ Revision: 526069
- rebuild for new taglib-sharp

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 1.5.5-1mdv2010.1
+ Revision: 518351
- import banshee-community-extensions


